Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005209opensim[GRID] Hypergridpublic2010-11-15 13:192019-02-05 12:25
Reporteraiaustin 
Assigned Totampa 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionnot fixable 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0005209: Hypergrid jump from OSGrid to another (apparently HG 1.5 i7 compatible) grid logs user out of viewer
DescriptionE.g. logging on to OSGrid as an avatar (Ai Austin) and going (on OSGrid) to Vue-6400 and then trying a jump to Openvue grid location Vue-5000 immediately crashes the viewer.

The only odd message at the Openvue end I can see if
21:08:55 - [CAPS]: Unauthorized CAPS client

Hypergrid jumps worked fine between OSGrid and Openvue Grid up to r/14257.
Additional InformationFull log from destination region OpenSim.exe log for Openvue Grid Vue-5000 region is here...

21:08:46 - [AGENTCIRCUITDATA]: agentid=e858df02-a860-4b92-937a-2b87e4ebcd6d, chi
ld=True, startpos=<128, 128, 0>
21:08:46 - [AGENTCIRCUITDATA]: unpacked appearance
21:08:46 - [LOCAL SIMULATION CONNECTOR]: Found region Vue-5000 to send SendCreat
eChildAgent
21:08:46 - [CONNECTION BEGIN]: Region Vue-5000 told of incoming child agent Ai.A
ustin @hg.osgrid.org e858df02-a860-4b92-937a-2b87e4ebcd6d (circuit code 70151711
2, teleportflags 1073741824)
21:08:46 - [CONNECTION BEGIN]: Region Vue-5000 authenticated and authorized inco
ming child agent Ai.Austin @hg.osgrid.org e858df02-a860-4b92-937a-2b87e4ebcd6d (
circuit code 701517112)
21:08:46 - [CAPS]: Registered seed capability /CAPS/03095097-c4fb-4bff-8397-59a8
da25b2e10000/ for e858df02-a860-4b92-937a-2b87e4ebcd6d
21:08:46 - [OBJECTADD]: /CAPS/OA/e0ae5b41-58d5-4eaf-9a47-253c3eb034f7/
21:08:46 - [FreeSwitchVoice]: OnRegisterCaps: agentID e858df02-a860-4b92-937a-2b
87e4ebcd6d caps OpenSim.Framework.Capabilities.Caps
21:08:46 - [GETMESH]: /CAPS/991e2f0e-90c9-4899-87a1-b91a64976955
21:08:46 - [GETMESH]: /CAPS/35de436d-9aee-4899-a557-01921c0bf372
21:08:46 - [UploadObjectAssetModule]: /CAPS/e114e46c-9d3b-43b7-ab4b-ce3c0055da95

21:08:46 - [VC]: OnRegisterCaps: agentID e858df02-a860-4b92-937a-2b87e4ebcd6d ca
ps OpenSim.Framework.Capabilities.Caps
21:08:46 - [GETTEXTURE]: /CAPS/8377e980-d140-490b-a0e9-dbe66f8b1a22
21:08:46 - [CHILDAGENTDATAUPDATE]: Unpack data
21:08:46 - [LOCAL SIMULATION CONNECTOR]: Found region Vue-5000 5497558140160000
to send AgentUpdate
21:08:46 - [SCENE]: Incoming child agent update for e858df02-a860-4b92-937a-2b87
e4ebcd6d in Vue-5000
21:08:47 - [LLUDPSERVER]: Handling UseCircuitCode request from 24.173.132.42:649
15
21:08:47 - [SCENE]: Adding new agent Ai.Austin @hg.osgrid.org to scene Vue-5000
21:08:47 - [SCENEPRESENCE]: attempt to send update from a childagent
21:08:47 - [LLUDPSERVER]: Handling UseCircuitCode request from 24.173.132.42:649
15 took 78ms
21:08:47 - [SCENEPRESENCE]: CALLING COPYFROM
21:08:49 - [LLUDPSERVER]: Handling UseCircuitCode request from 24.173.132.42:649
15
21:08:49 - [SCENE PRESENCE]: Completing movement of Ai.Austin @hg.osgrid.org int
o region Vue-5000
21:08:49 - [SCENE]: Upgrading child to root agent for Ai.Austin @hg.osgrid.org i
n Vue-5000
21:08:49 - [LLUDPSERVER]: Ignoring a repeated UseCircuitCode from e858df02-a860-
4b92-937a-2b87e4ebcd6d at 24.173.132.42:64915 for circuit 701517112
21:08:49 - [WINDLIGHT]: Sending windlight scene to new client
21:08:49 - [LLUDPSERVER]: Handling UseCircuitCode request from 24.173.132.42:649
15 took 7ms
21:08:49 - [IRC-Region Vue-5000]: Ai.Austin @hg.osgrid.org has arrived
21:08:49 - [SCENE PRESENCE]: Releasing agent in URI http://virtual3.aiai.ed.ac.u [^]
k:9020/agent/e858df02-a860-4b92-937a-2b87e4ebcd6d/2aa49e09-f1b1-4f20-8ae3-55e039
9a674c/release/
21:08:49 - [SCENE PRESENCE]: Completing movement of Ai.Austin @hg.osgrid.org int
o region Vue-5000 took 39ms
21:08:49 - [ATTACHMENT]: Received attachment d85c0e4b-c00d-4333-83f4-5acd0d8e2a9
f, inworld asset id 75d64774-6c68-4014-9386-651bd74221be
21:08:49 - [ATTACHMENT]: Attach to avatar e858df02-a860-4b92-937a-2b87e4ebcd6d a
t position <0.06867024, 0.2215985, -0.03812356>
21:08:49 - [HG INVENTORY CONNECTOR]: Added http://hg.osgrid.org:80 [^] to the cache
of inventory URLs
21:08:49 - [CAPS]: Seed Caps Request in region: Vue-5000
21:08:49 - [SCENE]: Incoming client Ai.Austin @hg.osgrid.org in region Vue-5000
via HG login
21:08:49 - [USER AGENT CONNECTOR]: new connector to http://hg.osgrid.org:80 [^] (htt
p://69.162.125.163:80 [^])
21:08:50 - [SCENE]: User Client Verification for Ai.Austin @hg.osgrid.org in Vue
-5000 returned false
21:08:50 - [CLIENT]: Close has been called for Ai.Austin @hg.osgrid.org attached
 to scene Vue-5000
21:08:50 - [IRC-Region Vue-5000]: Ai.Austin @hg.osgrid.org has left
21:08:50 - [SCENE]: Removing root agent e858df02-a860-4b92-937a-2b87e4ebcd6d fro
m region Vue-5000
21:08:53 - [ATTACHMENT]: Received attachment c40b7e5d-80ee-4fed-b75c-2fc91d8ccb8
c, inworld asset id 3249be6f-7713-425b-8982-4be3b93c8dd6
21:08:53 - [ATTACHMENT]: Attach to avatar e858df02-a860-4b92-937a-2b87e4ebcd6d a
t position <-0.06844332, -0.005910728, 0.07771095>
21:08:53 - [ATTACHMENT]: Received attachment 60024e35-cf7b-4b21-b30c-6b33f341861
f, inworld asset id 07db9753-ba42-4a7f-ba2f-67dd7fdfbcc8
21:08:53 - [ATTACHMENT]: Attach to avatar e858df02-a860-4b92-937a-2b87e4ebcd6d a
t position <0.03612031, -5.51604E-10, 0.02588346>
21:08:54 - [ATTACHMENT]: Received attachment 50eab2e0-06cc-4f8e-83ea-56b14a115d5
f, inworld asset id 2fada3a7-fa5f-464f-b740-d5297367a375
21:08:54 - [ATTACHMENT]: Attach to avatar e858df02-a860-4b92-937a-2b87e4ebcd6d a
t position <-0.00175752, 0.002972747, 0.01201607>
21:08:54 - [ATTACHMENT]: Received attachment 30801730-92ff-4fbc-87d5-c94d7f1657c
7, inworld asset id 3ed65dc0-eb19-42d8-b02e-b9a9027c735b
21:08:54 - [ATTACHMENT]: Attach to avatar e858df02-a860-4b92-937a-2b87e4ebcd6d a
t position <0.01272249, -0.004185446, 0.006236205>
21:08:55 - [HG INVENTORY CONNECTOR]: Removed http://hg.osgrid.org:80 [^] from the ca
che of inventory URLs
21:08:55 - [CAPS]: Unauthorized CAPS client
21:09:00 - [AVATAR FACTORY MODULE]: Agent e858df02-a860-4b92-937a-2b87e4ebcd6d n
o longer in the scene
Region (root) #
TagsNo tags attached.
Git Revision or version number0.7.1 dev master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
Environment.NET / Windows32
Mono VersionNone
ViewerSecond Life 1.23
Attached Filestxt file icon HG TP Home Viewer crash log.txt [^] (8,643 bytes) 2011-03-01 13:26 [Show Content]
txt file icon Qosmio-console.txt [^] (7,090 bytes) 2011-03-24 15:20 [Show Content]
txt file icon HG Jump.txt [^] (12,888 bytes) 2012-03-04 19:44 [Show Content]

- Relationships
related to 0005216confirmed hg from osgrid to other grid in i7 
related to 0005219new [AGENT HANDLER]: exception on unpacking ChildAgentUpdate message Cannot cast from source type to destination type. 

-  Notes
(0017299)
aiaustin (developer)
2010-11-15 13:22
edited on: 2010-11-16 19:43

I note that when initially logged in to Openvue Grid (r/14349) which is on same OpenSim release as OSGrid, that jumps FROM Openvue Grid to OSGrid and back work fine, even using same regions that are problematic on jump FROM OSGrid when logged on that as an avatar initially. So perhaps this might be an OSGrid setup/config issue?

(0017308)
aiaustin (developer)
2010-11-16 19:30
edited on: 2010-11-16 19:42

On some later tests, I am seeing this error showing in the destination region OpenSim.exe on Openvue grid... which may indicate an issue on OSGrid?

03:23:28 - [HELO SERVICE]: Unable to perform HELO request to http://hg.osgrid.org:80: [^] The remote server returned an error: (404) Not Found.
03:23:28 - [HG INVENTORY SERVICE]: HELO returned

(0017318)
talentraspel (reporter)
2010-11-17 12:52

please check if the osgrid login proxy forwards the callers ip-adress correctly, because the protocol will fail if not.

may be or may not be related with this issue, but please just check it.

eom
(0017319)
aiaustin (developer)
2010-11-17 14:32
edited on: 2010-11-20 00:29

I assume the OSGRd admins have to do that as I canot do it with the Openvue grid services end, or from one of my regions connected on OSGrid I aassume?

kidd peko of TheHyperGates.com reports the following tests to me - using HG1.5 i7 set up grids (as there are only a few).

- with an Ansky AV, you can jump: Ansky -> OSGrid -> and then back home

- with an Openvue AV, you can jump: Openvue -> OSgrid -> Ansky -> and then back home to Openvue

- with an OSGrid AV, you cannot successfully jump from OSGrid to Ansky, nor from OSGrid to Openvue

(0017341)
aiaustin (developer)
2010-11-20 00:17

The latest OSGrid release (OpenSim 0.7.1 r.8f1a794) does not fix the teleport problem between HGs.
(0017348)
ndsim (reporter)
2010-11-20 08:40
edited on: 2010-11-20 08:41

i do think they skip robust upgrade, it might be gone wrong in osgrid, i really dont know but i always upgrade my robust server when i upgrade my grid

(0017353)
ndsim (reporter)
2010-11-20 20:57

i have notices look very closely
21:08:50 - [CLIENT]: Close has been called for Ai.Austin @hg.osgrid.org attached
 to scene Vue-5000
and my sim report same thing for nebadon
22:39:04 - [CLIENT]: Close has been called for Nebadon.Tester @hg.osgrid.org att
ached to scene Welcome
(0017355)
dutchglory (reporter)
2010-11-21 12:14

I found something with myopengrid admin. try to turn off groups and try to tp to your region. if successful, let me know...

dutch
(0017362)
ndsim (reporter)
2010-11-21 13:57

nope i turn off group in my region try to tp to openvue intant crashed
(0017370)
dutchglory (reporter)
2010-11-22 09:58

sorry, with me it worked, i could be group server that was throwing exception.. have to keep looking further...

dutch
(0018108)
kenvc (reporter)
2011-03-01 13:26

I'm also seeing the same "OpenSim.Framework.Capabilities.Caps [CAPS]: Unauthorized CAPS client" error message when TPing back home from a hypergrid session, then viewer crashes. Does same thing with several different viewers.

Will attach log that covers the time when it happened last.
(0018109)
dutchglory (reporter)
2011-03-01 13:53

but try with latest git revision (Master), a lot has been improved...
(0018121)
kenvc (reporter)
2011-03-05 04:01

I'm using rev 14979 right now. This is the latest as of today's date.

I build from Dev Master almost every day they make a change and test this issue. For me this problem has been around since they got HG working again in OSGrid this last time. I dont have this specific issue when going out and back into my own test grid. Personally, I've spent way too much time trying to figure this out, so I just HG from my private test grid now and don't worry about it anymore.
(0018165)
Arielle P (reporter)
2011-03-23 19:38

My friend and I were testing HG capability with recent masters on our updated diva standalones hosted on our own respective local networks. We each have accounts on the other's standalone and attempted to HG to our respective local standalones. Both failed.

so:

My avi account registered on her Genesis standalone cannot HG to my Qosmio standalone and yet can HG anywhere else.

Her avi account registered on my Qosmio Standalone cannot HG to her Genesis standalone and yet can also HG anywhere else.

Both our Osgrid accounts have the same issues in that neither of us is able to HG to our respective locally hosted Standalones.

Both utilize dyndns hostnames through routers that have sucesfully run grids and standalone HG in past with no loopback issues.

From our perspective this issue is not just affecting Osgrid or other grids but is relevant for any account registered on an external grid/standalone that then attempts to jump to a locally hosted standalone.

When i have a chance I will test jump when logging in at a different ip then the one my standalone is on.
(0018166)
aiaustin (developer)
2011-03-24 02:31

What version of OpenSim are you and your friend using specifically Arielle. You says its an "updated" Diva distribution.

Diva I am sure will comment on your report... but if you are using the latest Diva standalone it is based on 0.7.0.2 post fixes which is not compatible for HG jumps to 0.7.1 grids. So it will not work in HG jumps to the 0.7.1 based OSGrid.

Also note that HG jumps and even inter-grid teleports have a various times in the development of 0.7.1 been broken. So you need to select a recent one to make it compatible with other 0.7.1 dev master grids (like OSGrid).
(0018170)
Arielle P (reporter)
2011-03-24 15:41

Both standalones are currently using Osgrid release from March 16/2011 based on (r/15019) with architecture set for standalone hypergrid with mysql and megaregion. |Some settings brought from Diva release 13981 but likely of no relevance to this issue.

I had a chance to try the setups while i was out visiting today so that the viewer machine was on a different IP then my Qosmio standalone. I logged into both my Osgrid and Genesis accounts and successfully jumped to Qosmio.
On returning home I immediately tried the same again but failed in both cases now that the viewer and standalone were again on the same IP.

I copied the console logs from the attempted jump for both Qosmio and Genesis in case they provide any clues.

Qosmio-Console http://pastebin.com/PGpKhtXE [^]
Genesis-Console http://pastebin.com/KVnyvExQ [^]

ps-can delete the file i added through the site upload as i thought it would add it to my post.
(0021021)
slow putzo (reporter)
2012-03-04 19:51
edited on: 2012-03-04 19:52

I am having this same problem. I am running the 2012-03-01 OSGrid version of opensim.

See my attached log file HG jump.txt

My failure is when doing a jump to my own region, after arriving, I am logged out.

Others have no problem doing a jump to my HG region, and I am able to log in directly as a standalone. I can jump to other HG regions with no problem so it is something about being on the same local LAN as the server I suspect.

I run 3 linux servers hosting regions. I am not doing the jump from a region on the same server as the standalone HG region.

I am behind a linksys wtr54g router.

Everything works perfectly other than this one problem with me trying to jump to my own HG region.

This is not a new setup. I have been on OSGrid now with 64 regions for over 18 months.

(0034180)
tampa (reporter)
2019-02-05 10:37

Old protocol, no way to confirm on master anymore.
(0034248)
BillBlight (developer)
2019-02-05 12:25

Old Issues, closed, can be reopened if they still exist

- Issue History
Date Modified Username Field Change
2010-11-15 13:19 aiaustin New Issue
2010-11-15 13:19 aiaustin Git Revision => 0.7.1 dev master
2010-11-15 13:19 aiaustin SVN Revision => 14349
2010-11-15 13:19 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-11-15 13:19 aiaustin Physics Engine => ODE
2010-11-15 13:19 aiaustin Environment => .NET / Windows32
2010-11-15 13:19 aiaustin Mono Version => None
2010-11-15 13:19 aiaustin Viewer => Second Life 1.23
2010-11-15 13:22 aiaustin Note Added: 0017299
2010-11-15 13:22 aiaustin Summary Hypergrid jump crashes viewer => Hypergrid jump from OSGrid crashes viewer
2010-11-15 13:22 aiaustin Description Updated
2010-11-16 19:30 aiaustin Note Added: 0017308
2010-11-16 19:42 aiaustin Note Edited: 0017308
2010-11-16 19:43 aiaustin Note Edited: 0017299
2010-11-17 12:52 talentraspel Note Added: 0017318
2010-11-17 14:32 aiaustin Note Added: 0017319
2010-11-17 22:18 talentraspel Relationship added related to 0005216
2010-11-20 00:17 aiaustin Note Added: 0017341
2010-11-20 00:28 aiaustin Description Updated
2010-11-20 00:29 aiaustin Note Edited: 0017319
2010-11-20 07:49 aiaustin Relationship added related to 0005219
2010-11-20 07:50 aiaustin Relationship deleted related to 0005219
2010-11-20 07:50 aiaustin Relationship added has duplicate 0005219
2010-11-20 07:52 aiaustin Relationship deleted has duplicate 0005219
2010-11-20 07:52 aiaustin Relationship added related to 0005219
2010-11-20 08:40 ndsim Note Added: 0017348
2010-11-20 08:41 ndsim Note Edited: 0017348
2010-11-20 19:04 aiaustin Summary Hypergrid jump from OSGrid crashes viewer => Hypergrid jump from OSGrid to anothef (apparenntkybi7 compstible) grid logs user out of viewer
2010-11-20 19:04 aiaustin Description Updated
2010-11-20 19:06 aiaustin Summary Hypergrid jump from OSGrid to anothef (apparenntkybi7 compstible) grid logs user out of viewer => Hypergrid jump from OSGrid to another (apparently HG 1.5 i7 compatible) grid logs user out of viewer
2010-11-20 20:57 ndsim Note Added: 0017353
2010-11-21 12:14 dutchglory Note Added: 0017355
2010-11-21 13:57 ndsim Note Added: 0017362
2010-11-22 09:58 dutchglory Note Added: 0017370
2011-03-01 13:26 kenvc Note Added: 0018108
2011-03-01 13:26 kenvc File Added: HG TP Home Viewer crash log.txt
2011-03-01 13:53 dutchglory Note Added: 0018109
2011-03-05 04:01 kenvc Note Added: 0018121
2011-03-23 19:38 Arielle P Note Added: 0018165
2011-03-24 02:31 aiaustin Note Added: 0018166
2011-03-24 15:20 Arielle P File Added: Qosmio-console.txt
2011-03-24 15:41 Arielle P Note Added: 0018170
2012-03-04 19:44 slow putzo File Added: HG Jump.txt
2012-03-04 19:51 slow putzo Note Added: 0021021
2012-03-04 19:52 slow putzo Note Edited: 0021021 View Revisions
2019-02-05 10:37 tampa Note Added: 0034180
2019-02-05 10:37 tampa Status new => resolved
2019-02-05 10:37 tampa Resolution open => not fixable
2019-02-05 10:37 tampa Assigned To => tampa
2019-02-05 12:25 BillBlight Note Added: 0034248
2019-02-05 12:25 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker